Capture an Authorization

Finix API Reference Copy - Copy for LLM Copy page as Markdown for LLMs - View as Markdown\ \ Open this page as Markdown - Open in ChatGPT\ \ Get insights from ChatGPT - Open in Claude\ \ Get insights from Claude - Connect to Cursor Install MCP server on Cursor - Connect to VS Code Install MCP server on VS Code

The Finix API is resource oriented, relying heavily on common REST principles. Our API uses JSON encoded requests and responses.

You will receive separate Sandbox and Live accounts, as well as corresponding API credentials to access the Finix API.


link to section/Authentication Authentication

To communicate with the Finix API, you must authenticate your requests via HTTP Basic Authentication with a username:password combination, which you can get from your Finix Dashboard. If you do not have a Dashboard yet, you can test our APIs with the Sandbox credentials below.

Parameter Value
Sandbox Username USsRhsHYZGBPnQw8CByJyEQW
Sandbox Password 8a14c2f9-d94b-4c72-8f5c-a62908e5b30e

Request Format

curl "https://finix.sandbox-payments-api.com/" \
    -H "Content-Type: application/json" \
    -H "Finix-Version: 2022-02-01" \
    -u USsRhsHYZGBPnQw8CByJyEQW:8a14c2f9-d94b-4c72-8f5c-a62908e5b30e

link to section/Environments Environments

Finix provides two environments with distinct base URLs to make API requests.

  1. A Sandbox environment for developing and testing your integration.
  2. A Live environment for processing payments.

These environments are entirely separate and do not share API Credentials.

Environment Endpoint URL
Sandbox https://finix.sandbox-payments-api.com
Live https://finix.live-payments-api.com

Live Access

To get access to the Live environment, please reach out to your Finix point-of-contact.


link to section/HTTP-Codes-and-Errors HTTP Codes and Errors

Finix uses HTTP codes to communicate whether requests succeeded or failed. Requests to Finix's API return responses within less than one second.

However, communications between card networks and processors can increase response latency. Additionally, response latency for card-present devices can be higher depending on how quickly buyers complete the transaction on payment terminals.

Due of this, requests to the Finix API have a maximum timeout of 5 minutes.

For more details, see Error Codes. Also, you can test for specific errors and responses.

Code Definition Explanation
400 Bad Request We could not parse your request. Verify you are providing valid JSON.
401 Unauthorized We could not authenticate your request. Verify your username and password are correct.
402 Upstream Processor Error Errors caused by 3rd-party service(s).
403 Forbidden Your credentials do not have the correct permissions to perform the request.
404 Not Found We could not find the specified resource.
405 Method Not Allowed The specified resource does not support the HTTP Method used to submit the request.
406 Not Acceptable The server could accept the submitted request. Confirm how the request was formatted and submitted.
409 Conflict The submitted request conflicts with the current state of the server.
422 Unprocessable Entity The parameters were valid, but the request failed. Usually, the error involves misunderstanding of how to perform the request (e.g., creating a transfer with a seller that is not-yet-approved).
500 Internal Server Error We had a problem with our server. Try again later.

link to section/Idempotent-Requests Idempotent Requests

The Authorization and Transfer resources both have an idempotency_id field. Use this field to ensure the API Request is performed only once.

Why is this important? We've all experienced a checkout page that hangs on a request or payment, and feared that if we refresh or submit the payment again, we'd be charged twice.

Finix removes this ambiguity with the idempotency_id. You or the user can generate a unique ID that can be included as an idempotency_id with the usual request payload. If anyone attempts a request with the same idempotency_id, the response will raise an exception.

By passing an idempotency_id in the body of your requests, you can be rest assured that when you create an Authorization or Transfer, the user will be protected from potential network issues.

idempotency_id is available on the following three endpoints:

`idempotency_id` scope

idempotency_id checks against previous requests made on the same endpoint.


link to section/Query-Parameters Query Parameters

Every Finix resource (e.g., Authorizations, Transfers) can be listed and reviewed using GET requests. Additionally, every endpoint has query parameters available to help you filter the resources that are returned.

See the following example of how to query the Transfers endpoint for Transfer resources with type: DEBIT.

Query Parameter Example

curl "https://finix.sandbox-payments-api.com/transfers?type=DEBIT" \
    -H "Finix-Version: 2022-02-01" \
    -u USsRhsHYZGBPnQw8CByJyEQW:8a14c2f9-d94b-4c72-8f5c-a62908e5b30e

link to section/Tags Tags

Many Finix resources (e.g., Authorization, Transfer) let you include tags to add key-value metadata to your Finix API resources. For example, when creating a Transfer, you might include customerId: Customer123 to tag the Transfer with your internal customer ID. You can update tags as many times as needed, as well as filter resources by tags.

Tags Example

{
    ...,
    "tags": {
        "card-type": "business card",
        "order_number": "H-1257",
        "customer_order_reference": "order1234",
        "item_type": "hardware",
        "vendor": "finix"
    }
}

The tags object accepts up to 50 key: value pairs to annotate resources with custom metadata.

Special Characters

Finix does not allow special characters on tags (e.g., \, ,, ", ')


link to section/Versioning Versioning

As Finix improves our products and features, we will make changes to our APIs. When breaking changes are made to Finix's API, we may release a new dated API version.

The API version your requests use controls how API responses and webhooks behave (for example, the values you see in responses and the parameters you can include in requests). For more information, see Versioning.


link to section/Postman-Collection Postman Collection

Finix has a Postman collection to help in your development. You can fork it using the button below.

Overview

URL https://finix.com

Finix support@finix.com

Languages

cURL

Servers

Sandbox server

https://finix.sandbox-payments-api.com

link to Authorizations Authorizations

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

An Authorization (also known as a card hold) reserves a specific amount on a card to be captured (i.e. debited) at a later date, usually within seven days. When an Authorization is captured it produces a Transfer resource.

Related Guides:

Operations

post

/authorizations

get

/authorizations

get

/authorizations/{authorization_id}

put

/authorizations/{authorization_id}

put

/authorizations/{authorization_id_void_to}

link to Create an Authorization Create an Authorization

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

link to /authorizations/createauthorization#authorizations/createauthorization/request RequestExpand all

Create an Authorization to process a transaction.

Related Guides: Creating and Capturing an Authorization, Level 2 and 3 Processing, POS Integration, Buyer Charges

SecurityView security details

BasicAuth

link to /authorizations/createauthorization#authorizations/createauthorization/request/header Headers

link to /authorizations/createauthorization#authorizations/createauthorization/t=request&in=header&path=finix-version Finix-Version string

Specify the API version of your request. For more details, see Versioning.

Default 2022-02-01

Example: 2022-02-01

link to /authorizations/createauthorization#authorizations/createauthorization/t=request&in=header&path=content-type Content-Type string

The data type being sent in the request body must be application/json.

Example: application/json

link to /authorizations/createauthorization#authorizations/createauthorization/request/body Bodyapplication/json

One of:

Authorization - Minimal Fields

Authorization - Minimal Fields Authorization - All Fields Authorization - Canada Authorization - 3D Secure Authorization - Buyer Charges Authorization - Card Present Authorization - Authorization with CVV Authorization - Motor Vehicle Rental Authorization - Gaming Authorization - Lodging Authorization - Level 2 Processing Authorization - Level 3 Processing Authorization - Partial Authorization Authorization - Recurring or Unscheduled

link to /authorizations/createauthorization#authorizations/createauthorization/t=request&path=&oneof=0/amount amount integer (int64) required

The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).

Example: 5000

link to /authorizations/createauthorization#authorizations/createauthorization/t=request&path=&oneof=0/currency currency string required

ISO 4217 3-letter currency code.

Enum"CAD""USD"

link to /authorizations/createauthorization#authorizations/createauthorization/t=request&path=&oneof=0/merchant merchant string required

The ID of the Merchant that the Authorization was created under.

link to /authorizations/createauthorization#authorizations/createauthorization/t=request&path=&oneof=0/source source string required

ID of the Payment Instrument where funds get debited.

Example: "PIxxxxxxxxxxxxxxxxxx"

post

/authorizations

cURL

Authorization - Minimal Fields

Authorization - Minimal Fields Authorization - All Fields Authorization - Canada Authorization - 3D Secure Authorization - Authorization with CVV Authorization - Buyer Charges Authorization - Card Present Authorization - Motor Vehicle Rental Authorization - Gaming Authorization - Lodging Authorization - Level 2 Processing Authorization - Level 3 Processing Authorization - Partial Authorization Authorization - Recurring or Unscheduled

curl -i -X POST \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/authorizations \
  -H 'Content-Type: application/json' \
  -H 'Finix-Version: 2022-02-01' \
  -d '{
    "amount": 100,
    "currency": "USD",
    "merchant": "MUmfEGv5bMpSJ9k5TFRUjkmm",
    "source": "PIkxmtueemLD6dN9ZoWGHT44"
  }'

link to /authorizations/createauthorization#authorizations/createauthorization/response&c=201 Responses

  1. 201
  2. 400
  3. 401
  4. 402
  5. 403
  6. 404
  7. 406
  8. 422

Expand all

Response schema to a request to create a single Authorization object.

link to /authorizations/createauthorization#authorizations/createauthorization/response&c=201/headers Headers

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=date date string

A response header indicating the date and time of the API request.

Example: "Tue, 08 Jul 2025 17:38:01 GMT"

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=finix-apiuser-role finix-apiuser-role string

This response header indicating the role of the user who sent the API request.

Enum"ROLE_PLATFORM""ROLE_PARTNER""ROLE_MERCHANT"

Example: "ROLE_PARTNER"

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=x-request-id x-request-id string

This response header provides a unique identifier for the API request.

Example: "055972f6534f92a896fbb61b11313ebb"

link to /authorizations/createauthorization#authorizations/createauthorization/response&c=201/body Bodyapplication/json

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=id id string

The ID of the Authorization resource.

Example: "AUxxxxxxxxxxxxxxxxxx"

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=created_at created_at string (date-time)

Timestamp of when the object was created.

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=updated_at updated_at string (date-time)

Timestamp of when the object was last updated.

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=3ds_redirect_url 3ds_redirect_url string or null

The redirect URL used for 3DS transactions (if supported by the processor).

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=additional_buyer_charges additional_buyer_charges object or null

Additional charges will be incurred by the buyer.

The following rules apply:

+Show 3 properties

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=additional_healthcare_data additional_healthcare_data object or null

Object detailing any additional healthcare amounts included in the Authorization.

+Show 4 properties

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=additional_purchase_data additional_purchase_data object or null

Additional information about the purchase used for Level 2 and Level 3 Processing. Please note that Visa is ending its Level 2 offering in April 2026.

+Show 13 properties

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=address_verification address_verification string or null

Details the results of the Address Verification checks.

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=amount amount integer (int64)

The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).

Example: 5000

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=amount_requested amount_requested integer

When default_partial_authorization_enabled is set to true, amount_requested indicates the amount the cardholder attempted to authorize.

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=application application string

The ID of the Application resource the Authorization was created under.

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=card_present_details card_present_details object or null

Details needed to process card present transactions.

+Show 8 properties

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=currency currency string

ISO 4217 3-letter currency code.

Enum"CAD""USD"

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=created_via created_via string

Gives more information about the product flow that was used to create the resource. Finix retains the right to add additional enums for this field without it being a breaking change.

Default "UNKNOWN"

Enum"CARD_PRESENT_SEMI_INTEGRATED_API""CARD_PRESENT_STANDALONE""CARD_PRESENT_STANDALONE_MANUAL_ENTRY""CARD_PRESENT_IOS_APP""CARD_PRESENT_IOS_APP_MANUAL_ENTRY""CARD_PRESENT_IOS_D135_SDK""CARD_PRESENT_ANDROID_APP""CARD_PRESENT_ANDROID_APP_MANUAL_ENTRY""CARD_PRESENT_ANDROID_D135_SDK""CHECKOUT_FORM"+15 more

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=device device string or null

The ID of the activated device.

Example: "DVxxxxxxxxxxxxxxxxxx"

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=expires_at expires_at string (date-time)

Authorization expiration time.

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=failure_code failure_code string or null

The code of the failure so the decline can be handled programmatically. For more info on how to handle the failure, see Failure Codes.

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=failure_message failure_message string or null

A human-readable description of why the transaction was declined. This will also include a suggestion on how to complete the payment.

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=identity identity string

ID of the buyer 'Identity' to run the card present authorization. Finix tokenizes the card associated with the provided 'Identity' and processes the authorization, removing the need to create a blank buyer Identity.

Default null

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=idempotency_id idempotency_id string or null

Pass any randomly generated or internal ID to idempotently identify Transfers, Authorizations, or refund requests.

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=ip_address_details ip_address_details object

This field returns null for all users except ROLE_PLATFORM users.

+Show property

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=is_void is_void boolean

Whether the Authorization has been voided.

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=merchant merchant string

The ID of the Merchant resource the Authorization was created under.

Example: "MUxxxxxxxxxxxxxxxxxxxxxx"

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=merchant_identity merchant_identity string

The ID of the Identity resource used by the Merchant the Authorization was processed under.

Example: "IDxxxxxxxxxxxxxxxxxxxxxx"

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=messages messages Array of strings or null

Message field that provides additional details. This field is typically null.

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=network_details network_details object or null

Contains network-specific fields used by issuers to identify transactions.

+Show 2 properties

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=raw raw (object or null) or (string or null)

Raw response from the processor.

Any of:

RawRaw

Raw response from the processor.

object or null

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=receipt_last_printed_at receipt_last_printed_at string or null (date-time)

Timestamp when the receipt was last printed.

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=security_code_verification security_code_verification string or null

Details the results of the Security Code Verification che

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=source source string

ID of the Payment Instrument where funds get debited.

Example: "PIxxxxxxxxxxxxxxxxxx"

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=state state string

The state of the Authorization.

Enum"CANCELED""PENDING""FAILED""SUCCEEDED""UNKNOWN"

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=supplemental_fee supplemental_fee integer or null (int64)

Amount in cents for which an additional fee will be created in addition to any fees created from the assigned fee profile.

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=tags tags object or null

Include up to 50 key: value pairs to annotate requests with custom metadata.

+Show property

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=trace_id trace_id string

Trace ID of the Authorization. The processor sends back the trace_id so you can track the authorization end-to-end.

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=transfer transfer string or null

The ID of the transfer resource that gets created when the Authorization moves to SUCCEEDED.

Example: "TRxxxxxxxxxxxxxxxxxx"

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=void_state void_state string

The state of the void attempt for the Authorization.

Enum"UNATTEMPTED""PENDING""SUCCEEDED"

link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=_links_links object

+Show 5 properties

Response

  1. 201
  2. 400
  3. 401
  4. 402
  5. 403
  6. 404
  7. 406
  8. 422

application/json

Authorization - Minimal Fields

Authorization - Minimal Fields Authorization - All Fields Authorization - Canada Authorization - 3D Secure Authorization - Authorization with CVV Authorization - Buyer Charges Authorization - Card Present Authorization - Motor Vehicle Rental Authorization - Lodging Authorization - Gaming Authorization - Level 2 Processing Authorization - Level 3 Processing Authorization - Partial Authorization Authorization - Recurring or Unscheduled

{
  "id": "AUosWDPT4KPSpJbvw4xBe583",
  "created_at": "2026-02-20T03:18:34.65Z",
  "updated_at": "2026-02-20T03:18:34.65Z",
  "3ds_redirect_url": null,
  "additional_buyer_charges": null,
  "additional_healthcare_data": null,
  "additional_purchase_data": null,
  "address_verification": "POSTAL_CODE_AND_STREET_MATCH",
  "amount": 100,
  "amount_requested": 100,
  "application": "APc9vhYcPsRuTSpKD9KpMtPe",
  "currency": "USD",
  "expires_at": "2026-02-27T03:18:34.65Z",
  "failure_code": null,
  "failure_message": null,
  "idempotency_id": null,
  "ip_address_details": null,
  "is_void": false,
  "merchant": "MUmfEGv5bMpSJ9k5TFRUjkmm",
  "merchant_identity": "ID6UfSm1d4WPiWgLYmbyeo3H",
  "messages": [],
  "network_details": {
    "brand": "VISA",
    "authorization_code": 82533
  },
  "raw": null,
  "receipt_last_printed_at": null,
  "security_code_verification": "MATCHED",
  "source": "PIkxmtueemLD6dN9ZoWGHT44",
  "state": "SUCCEEDED",
  "supplemental_fee": null,
  "tags": {
    "order_number": "21DFASJSAKAS"
  },
  "trace_id": "a2ecd847-b2b6-400e-9a1e-ec71edad0fd5",
  "transfer": null,
  "void_state": "UNATTEMPTED",
  "_links": {
    "self": { … },
    "application": { … },
    "merchant_identity": { … }
  }
}

Was this helpful?

link to List Authorizations List Authorizations

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

link to /authorizations/listauthorizations#authorizations/listauthorizations/request Request

Retrieve a list of Authorizations.

For details on how to query endpoints using the available parameters, see Query Parameters.

If no query parameters are specified in the request the API automatically limits the response to records from the last 30 days. You can request older data by passing an explicit created_at.lte filter.

SecurityView security details

BasicAuth

link to /authorizations/listauthorizations#authorizations/listauthorizations/request/query Query

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=after_cursor after_cursor string

Return every resource created after the cursor value.

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=amount.gt amount.gt integer

Filter by an amount greater than.

Example: amount.gt=100

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=amount.gte amount.gte integer

Filter by an amount greater than or equal.

Example: amount.gte=100

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=amount.lt amount.lt integer

Filter by an amount less than.

Example: amount.lt=100

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=amount.lte amount.lte integer

Filter by an amount less than or equal.

Example: amount.lte=100

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=amount amount integer

Filter by an amount equal to the given value.

Example: amount=100

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=before_cursor before_cursor string

Return every resource created before the cursor value.

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=created_at.gte created_at.gte string (date-time)

Filter where created_at is after the given date.

Example: created_at.gte=2022-09-27T11:21:23

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=created_at.lte created_at.lte string (date-time)

Filter where created_at is before the given date.

Example: created_at.lte=2026-09-27T11:21:23

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=currency currency string

Filter by the currency of the resource.

Example: currency=USD

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=device device string

Filter by the device's ID.

Example: device=DVsEanpBtsAVvCHbNXkFaH6f

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=idempotency_id idempotency_id string

Filter by Idempotency ID.

Example: idempotency_id=15d32948-c766-4033-8d87-dfbdcabcbc5c

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=instrument_account_last4 instrument_account_last4 string

Filter Transactions by the last 4 digits of the bank account. The bank account last 4 are the last 4 digits of the masked account number.

Example: instrument_account_last4=9444

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=instrument_bin instrument_bin string

Filter by Bank Identification Number (BIN). The BIN is the first 6 digits of the masked number.

Example: instrument_bin=411111

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=instrument_brand_type instrument_brand_type string

Filter by card brand.

Example: instrument_brand_type=VISA

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=instrument_card_last4 instrument_card_last4 string

Filter by the payment card last 4 digits.

Example: instrument_card_last4=1111

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=instrument_name instrument_name string

Filter Transactions by the name of the Payment Instrument.

Example: instrument_name=Alice

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=is_void is_void boolean

Show only voided authorizations.

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=limit limit integer <= 100

The numbers of items to return.

Example: limit=10

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=merchant merchant string

Filter by the Merchant ID.

Example: merchant=MUeDVrf2ahuKc9Eg5TeZugvs

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=merchant_identity_name merchant_identity_name string

Filter Transactions by name of the Identity.

Example: merchant_identity_name=John

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=merchant_mid merchant_mid string

Filter by Merchant Identification Number (MID).

Example: merchant_mid=FNXrzKj8xCLBwB8FdxjfU9txe

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=merchant_processor_id merchant_processor_id string

Filter by Processor ID.

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=state state any

Filter by transaction state.

Enum"SUCCEEDED""FAILED""PENDING""CANCELED"

Example: state=SUCCEEDED

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=tags.key tags.key string

Filter by the tag's key. For more information, see Tags.

Example: tags.key=card_type

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=tags.value tags.value string

Filter by the tag's value. For more information, see Tags.

Example: tags.value=business_card

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=trace_id trace_id string

Filter by trace_id.

Example: trace_id=021fc4ed-f0a8-4932-820c-b22b542526f8

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=updated_at.gte updated_at.gte string (date-time)

Filter where updated_at is after the given date.

Example: updated_at.gte=2022-09-27T11:21:23

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=updated_at.lte updated_at.lte string (date-time)

Filter where updated_at is before the given date.

Example: updated_at.lte=2026-09-27T11:21:23

link to /authorizations/listauthorizations#authorizations/listauthorizations/request/header Headers

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=header&path=finix-version Finix-Version string

Default 2022-02-01

Example: 2022-02-01

get

/authorizations

curl

curl "https://finix.sandbox-payments-api.com/authorizations" \
    -H "Finix-Version: 2022-02-01" \
    -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda

link to /authorizations/listauthorizations#authorizations/listauthorizations/response&c=200 Responses

  1. 200
  2. 401
  3. 403
  4. 406
  5. 422

Expand all

List of Authorization objects

link to /authorizations/listauthorizations#authorizations/listauthorizations/response&c=200/headers Headers

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=response&c=200&path=finix-apiuser-role finix-apiuser-role string

This response header indicating the role of the user who sent the API request.

Enum"ROLE_PLATFORM""ROLE_PARTNER""ROLE_MERCHANT"

Example: "ROLE_PARTNER"

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=response&c=200&path=date date string

A response header indicating the date and time of the API request.

Example: "Tue, 08 Jul 2025 17:38:01 GMT"

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=response&c=200&path=x-request-id x-request-id string

This response header provides a unique identifier for the API request.

Example: "055972f6534f92a896fbb61b11313ebb"

link to /authorizations/listauthorizations#authorizations/listauthorizations/response&c=200/body Bodyapplication/json

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=response&c=200&path=page page object

Details the page that's returned.

+Show 2 properties

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=response&c=200&path=_embedded_embedded object

List of Authroization objects.

+Show property

link to /authorizations/listauthorizations#authorizations/listauthorizations/t=response&c=200&path=_links_links object

+Show 2 properties

Response

  1. 200
  2. 401
  3. 403
  4. 406
  5. 422

application/json

{
  "_embedded": {
    "authorizations": [ … ]
  },
  "_links": {
    "self": { … },
    "next": { … },
    "last": { … }
  },
  "page": {
    "offset": 0,
    "limit": 20,
    "count": 633397
  }
}

Was this helpful?

link to Fetch an Authorization Fetch an Authorization

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

link to /authorizations/getauthorization#authorizations/getauthorization/request Request

Retrieve the details of a previously created Authorization.

SecurityView security details

BasicAuth

link to /authorizations/getauthorization#authorizations/getauthorization/request/path Path

link to /authorizations/getauthorization#authorizations/getauthorization/t=request&in=path&path=authorization_id authorization_id string required

ID of Authorization to fetch.

Example:AUg8unYpnWBEY1AdVUDkdQYJ

get

/authorizations/{authorization_id}

cURL

curl -i -X GET \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/authorizations/AUg8unYpnWBEY1AdVUDkdQYJ

link to /authorizations/getauthorization#authorizations/getauthorization/response&c=200 Responses

  1. 200
  2. 401
  3. 403
  4. 404
  5. 406

Expand all

Response schema to a request to fetch a single Authorization object.

link to /authorizations/getauthorization#authorizations/getauthorization/response&c=200/headers Headers

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=date date string

A response header indicating the date and time of the API request.

Example:"Tue, 08 Jul 2025 17:38:01 GMT"

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=finix-apiuser-role finix-apiuser-role string

This response header indicating the role of the user who sent the API request.

Enum"ROLE_PLATFORM""ROLE_PARTNER""ROLE_MERCHANT"

Example:"ROLE_PARTNER"

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=x-request-id x-request-id string

This response header provides a unique identifier for the API request.

Example:"055972f6534f92a896fbb61b11313ebb"

link to /authorizations/getauthorization#authorizations/getauthorization/response&c=200/body Bodyapplication/json

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=id id string

The ID of the Authorization resource.

Example:"AUxxxxxxxxxxxxxxxxxx"

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=created_at created_at string (date-time)

Timestamp of when the object was created.

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=updated_at updated_at string (date-time)

Timestamp of when the object was last updated.

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=3ds_redirect_url 3ds_redirect_url string or null

The redirect URL used for 3DS transactions (if supported by the processor).

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=additional_buyer_charges additional_buyer_charges object or null

Additional charges will be incurred by the buyer.

The following rules apply:

+Show 3 properties

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=additional_healthcare_data additional_healthcare_data object or null

Object detailing any additional healthcare amounts included in the Authorization.

+Show 4 properties

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=additional_purchase_data additional_purchase_data object or null

+Show 13 properties

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=address_verification address_verification string or null

Details the results of the Address Verification checks.

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=amount amount integer (int64)

The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).

Example:5000

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=amount_requested amount_requested integer

When default_partial_authorization_enabled is set to true, amount_requested indicates the amount the cardholder attempted to authorize.

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=application application string

The ID of the Application resource the Authorization was created under.

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=card_present_details card_present_details object or null

Details needed to process card present transactions.

+Show 8 properties

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=currency currency string

ISO 4217 3-letter currency code.

Enum"CAD""USD"

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=created_via created_via string

Default"UNKNOWN"

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=device device string or null

The ID of the activated device.

Example:"DVxxxxxxxxxxxxxxxxxx"

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=expires_at expires_at string (date-time)

Authorization expiration time.

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=failure_code failure_code string or null

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=failure_message failure_message string or null

A human-readable description of why the transaction was declined. This will also include a suggestion on how to complete the payment.

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=identity identity string

Defaultnull

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=idempotency_id idempotency_id string or null

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=ip_address_details ip_address_details object

This field returns null for all users except ROLE_PLATFORM users.

+Show property

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=is_void is_void boolean

Whether the Authorization has been voided.

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=merchant merchant string

The ID of the Merchant resource the Authorization was created under.

Example:"MUxxxxxxxxxxxxxxxxxxxxxx"

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=merchant_identity merchant_identity string

The ID of the Identity resource used by the Merchant the Authorization was processed under.

Example:"IDxxxxxxxxxxxxxxxxxxxxxx"

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=messages messages Array of strings or null

Message field that provides additional details. This field is typically null.

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=network_details network_details object or null

Contains network-specific fields used by issuers to identify transactions.

+Show 2 properties

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=raw raw (object or null) or (string or null)

Raw response from the processor.

Any of:

RawRaw

Raw response from the processor.

object or null

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=receipt_last_printed_at receipt_last_printed_at string or null (date-time)

Timestamp when the receipt was last printed.

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=security_code_verification security_code_verification string or null

Details the results of the Security Code Verification che

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=source source string

ID of the Payment Instrument where funds get debited.

Example:"PIxxxxxxxxxxxxxxxxxx"

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=state state string

The state of the Authorization.

Enum"CANCELED""PENDING""FAILED""SUCCEEDED""UNKNOWN"

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=supplemental_fee supplemental_fee integer or null (int64)

Amount in cents for which an additional fee will be created in addition to any fees created from the assigned fee profile.

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=tags tags object or null

Include up to 50 key: value pairs to annotate requests with custom metadata.

+Show property

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=trace_id trace_id string

Trace ID of the Authorization. The processor sends back the trace_id so you can track the authorization end-to-end.

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=transfer transfer string or null

The ID of the transfer resource that gets created when the Authorization moves to SUCCEEDED.

Example:"TRxxxxxxxxxxxxxxxxxx"

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=void_state void_state string

The state of the void attempt for the Authorization.

Enum"UNATTEMPTED""PENDING""SUCCEEDED"

link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=_links_links object

+Show 5 properties

Response

  1. 200
  2. 401
  3. 403
  4. 404
  5. 406

application/json

Was this helpful?

link to Capture an Authorization Capture an Authorization

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

link to /authorizations/captureauthorization#authorizations/captureauthorization/request RequestExpand all

Use a PUT request to capture an Authorization. If captured successfully, the transfer field of the Authorization will contain the ID of the Transfer resource that moves funds.

SecurityView security details

BasicAuth

link to /authorizations/captureauthorization#authorizations/captureauthorization/request/path Path

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=request&in=path&path=authorization_id authorization_id string required

ID of Authorization to fetch.

Example:AUg8unYpnWBEY1AdVUDkdQYJ

link to /authorizations/captureauthorization#authorizations/captureauthorization/request/header Headers

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=request&in=header&path=finix-version Finix-Version string

Default2022-02-01

Example:2022-02-01

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=request&in=header&path=content-type Content-Type string

The data type being sent in the request body must be application/json.

Example:application/json

link to /authorizations/captureauthorization#authorizations/captureauthorization/request/body Bodyapplication/json

One of:

Capture AuthorizationCapture Card Present AuthorizationCapture Authorization with Split Transfers

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=request&path=&oneof=0/capture_amount capture_amount integer (int64) required

The amount of the Authorization you would like to capture in cents. Must be less than or equal to the amount of the Authorization.

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=request&path=&oneof=0/fee fee integer (int64)

The minimum amount of the Authorization you'd like to collect as your fee in cents. Defaults to zero (must be less than or equal to the amount).

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=request&path=&oneof=0/split_transfers split_transfers Array of objects or null or null

An array used to detail how funds from the Transfer will split and the amount Merchants receive.

Rules:

For more information, see:

+Show 4 array properties

put

/authorizations/{authorization_id}

cURL

Capture Authorization

curl -i -X PUT \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/authorizations/AUg8unYpnWBEY1AdVUDkdQYJ \
  -H 'Content-Type: application/json' \
  -H 'Finix-Version: 2022-02-01' \
  -d '{
    "capture_amount": 100,
    "fee": 0
  }'

link to /authorizations/captureauthorization#authorizations/captureauthorization/response&c=200 Responses

  1. 200
  2. 400
  3. 401
  4. 403
  5. 404
  6. 406
  7. 422

Expand all

Response schema to a request to capture an Authorization object.

link to /authorizations/captureauthorization#authorizations/captureauthorization/response&c=200/headers Headers

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=date date string

A response header indicating the date and time of the API request.

Example:"Tue, 08 Jul 2025 17:38:01 GMT"

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=finix-apiuser-role finix-apiuser-role string

This response header indicating the role of the user who sent the API request.

Enum"ROLE_PLATFORM""ROLE_PARTNER""ROLE_MERCHANT"

Example:"ROLE_PARTNER"

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=x-request-id x-request-id string

This response header provides a unique identifier for the API request.

Example:"055972f6534f92a896fbb61b11313ebb"

link to /authorizations/captureauthorization#authorizations/captureauthorization/response&c=200/body Bodyapplication/json

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=id id string

The ID of the Authorization resource.

Example:"AUxxxxxxxxxxxxxxxxxx"

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=created_at created_at string (date-time)

Timestamp of when the object was created.

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=updated_at updated_at string (date-time)

Timestamp of when the object was last updated.

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=3ds_redirect_url 3ds_redirect_url string or null

The redirect URL used for 3DS transactions (if supported by the processor).

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=additional_buyer_charges additional_buyer_charges object or null

Additional charges will be incurred by the buyer.

The following rules apply:

+Show 3 properties

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=additional_healthcare_data additional_healthcare_data object or null

Object detailing any additional healthcare amounts included in the Authorization.

+Show 4 properties

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=additional_purchase_data additional_purchase_data object or null

+Show 13 properties

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=address_verification address_verification string or null

Details the results of the Address Verification checks.

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=amount amount integer (int64)

The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).

Example:5000

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=amount_requested amount_requested integer

When default_partial_authorization_enabled is set to true, amount_requested indicates the amount the cardholder attempted to authorize.

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=application application string

The ID of the Application resource the Authorization was created under.

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=card_present_details card_present_details object or null

Details needed to process card present transactions.

+Show 8 properties

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=currency currency string

ISO 4217 3-letter currency code.

Enum"CAD""USD"

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=created_via created_via string

Default"UNKNOWN"

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=device device string or null

The ID of the activated device.

Example:"DVxxxxxxxxxxxxxxxxxx"

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=expires_at expires_at string (date-time)

Authorization expiration time.

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=failure_code failure_code string or null

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=failure_message failure_message string or null

A human-readable description of why the transaction was declined. This will also include a suggestion on how to complete the payment.

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=identity identity string

Defaultnull

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=idempotency_id idempotency_id string or null

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=ip_address_details ip_address_details object

This field returns null for all users except ROLE_PLATFORM users.

+Show property

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=is_void is_void boolean

Whether the Authorization has been voided.

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=merchant merchant string

The ID of the Merchant resource the Authorization was created under.

Example:"MUxxxxxxxxxxxxxxxxxxxxxx"

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=merchant_identity merchant_identity string

The ID of the Identity resource used by the Merchant the Authorization was processed under.

Example:"IDxxxxxxxxxxxxxxxxxxxxxx"

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=messages messages Array of strings or null

Message field that provides additional details. This field is typically null.

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=network_details network_details object or null

Contains network-specific fields used by issuers to identify transactions.

+Show 2 properties

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=raw raw (object or null) or (string or null)

Raw response from the processor.

Any of:

RawRaw

Raw response from the processor.

object or null

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=receipt_last_printed_at receipt_last_printed_at string or null (date-time)

Timestamp when the receipt was last printed.

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=security_code_verification security_code_verification string or null

Details the results of the Security Code Verification che

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=source source string

ID of the Payment Instrument where funds get debited.

Example:"PIxxxxxxxxxxxxxxxxxx"

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=state state string

The state of the Authorization.

Enum"CANCELED""PENDING""FAILED""SUCCEEDED""UNKNOWN"

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=supplemental_fee supplemental_fee integer or null (int64)

Amount in cents for which an additional fee will be created in addition to any fees created from the assigned fee profile.

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=tags tags object or null

Include up to 50 key: value pairs to annotate requests with custom metadata.

+Show property

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=trace_id trace_id string

Trace ID of the Authorization. The processor sends back the trace_id so you can track the authorization end-to-end.

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=transfer transfer string or null

The ID of the transfer resource that gets created when the Authorization moves to SUCCEEDED.

Example:"TRxxxxxxxxxxxxxxxxxx"

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=void_state void_state string

The state of the void attempt for the Authorization.

Enum"UNATTEMPTED""PENDING""SUCCEEDED"

link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=_links_links object

+Show 5 properties

Response

  1. 200
  2. 400
  3. 401
  4. 403
  5. 404
  6. 406
  7. 422

application/json

Capture Authorization

{
  "id": "AUcmwpCN6yKJ2HGot6X4YSv7",
  "created_at": "2025-04-30T20:31:12.63Z",
  "updated_at": "2025-07-22T16:28:00.67Z",
  "3ds_redirect_url": null,
  "additional_buyer_charges": null,
  "additional_healthcare_data": null,
  "additional_purchase_data": null,
  "address_verification": "POSTAL_CODE_AND_STREET_MATCH",
  "amount": 100,
  "amount_requested": 100,
  "application": "APc9vhYcPsRuTSpKD9KpMtPe",
  "currency": "USD",
  "expires_at": "2025-05-07T20:31:12.63Z",
  "failure_code": null,
  "failure_message": null,
  "idempotency_id": null,
  "is_void": false,
  "merchant": "MU7noQ1wdgdAeAfymw2rfBMq",
  "merchant_identity": "IDjvxGeXBLKH1V9YnWm1CS4n",
  "messages": [],
  "network_details": {
    "brand": "VISA",
    "authorization_code": 82533
  },
  "raw": null,
  "receipt_last_printed_at": null,
  "security_code_verification": "MATCHED",
  "source": "PIkxmtueemLD6dN9ZoWGHT44",
  "state": "SUCCEEDED",
  "supplemental_fee": null,
  "tags": {},
  "trace_id": "836faa82-15e4-4945-8923-94253464ddc4",
  "transfer": "TRfbdBWj2Ww6a2j7XfiqEoV4",
  "void_state": "UNATTEMPTED",
  "_links": {
    "self": { … },
    "application": { … },
    "transfer": { … },
    "merchant_identity": { … }
  }
}

Was this helpful?

link to Void an Authorization Void an Authorization

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

link to /authorizations/voidauthorization#authorizations/voidauthorization/request Request

Use a PUT request to void an Authorization. If voided successfully, funds get released, and the transaction is incomplete. Additionally, a voided Authorization can no longer be captured. Depending on the cardholder’s issuing bank, voids can take up to seven days to remove the Authorization hold.

SecurityView security details

BasicAuth

link to /authorizations/voidauthorization#authorizations/voidauthorization/request/path Path

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=request&in=path&path=authorization_id_void_to authorization_id_void_to string required

Example:AUnubzehgQfqcvJpoxhqja7k

link to /authorizations/voidauthorization#authorizations/voidauthorization/request/header Headers

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=request&in=header&path=content-type Content-Type string

The data type being sent in the request body must be application/json.

Example:application/json

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=request&in=header&path=finix-version Finix-Version string

Default2022-02-01

Example:2022-02-01

link to /authorizations/voidauthorization#authorizations/voidauthorization/request/body Bodyapplication/jsonrequired

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=request&path=void_me void_me boolean

Set to True to void the Authorization.

put

/authorizations/{authorization_id_void_to}

cURL

curl -i -X PUT \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/authorizations/AUnubzehgQfqcvJpoxhqja7k \
  -H 'Content-Type: application/json' \
  -H 'Finix-Version: 2022-02-01' \
  -d '{
    "void_me": true
  }'

link to /authorizations/voidauthorization#authorizations/voidauthorization/response&c=200 Responses

  1. 200
  2. 400
  3. 401
  4. 403
  5. 404
  6. 406
  7. 422

Expand all

Response schema to a request to void a single Authorization object.

link to /authorizations/voidauthorization#authorizations/voidauthorization/response&c=200/headers Headers

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=date date string

A response header indicating the date and time of the API request.

Example:"Tue, 08 Jul 2025 17:38:01 GMT"

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=finix-apiuser-role finix-apiuser-role string

This response header indicating the role of the user who sent the API request.

Enum"ROLE_PLATFORM""ROLE_PARTNER""ROLE_MERCHANT"

Example:"ROLE_PARTNER"

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=x-request-id x-request-id string

This response header provides a unique identifier for the API request.

Example:"055972f6534f92a896fbb61b11313ebb"

link to /authorizations/voidauthorization#authorizations/voidauthorization/response&c=200/body Bodyapplication/json

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=id id string

The ID of the Authorization resource.

Example:"AUxxxxxxxxxxxxxxxxxx"

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=created_at created_at string (date-time)

Timestamp of when the object was created.

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=updated_at updated_at string (date-time)

Timestamp of when the object was last updated.

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=3ds_redirect_url 3ds_redirect_url string or null

The redirect URL used for 3DS transactions (if supported by the processor).

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=additional_buyer_charges additional_buyer_charges object or null

Additional charges will be incurred by the buyer.

The following rules apply:

+Show 3 properties

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=additional_healthcare_data additional_healthcare_data object or null

Object detailing any additional healthcare amounts included in the Authorization.

+Show 4 properties

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=additional_purchase_data additional_purchase_data object or null

+Show 13 properties

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=address_verification address_verification string or null

Details the results of the Address Verification checks.

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=amount amount integer (int64)

The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).

Example:5000

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=amount_requested amount_requested integer

When default_partial_authorization_enabled is set to true, amount_requested indicates the amount the cardholder attempted to authorize.

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=application application string

The ID of the Application resource the Authorization was created under.

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=card_present_details card_present_details object or null

Details needed to process card present transactions.

+Show 8 properties

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=currency currency string

ISO 4217 3-letter currency code.

Enum"CAD""USD"

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=created_via created_via string

Default"UNKNOWN"

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=device device string or null

The ID of the activated device.

Example:"DVxxxxxxxxxxxxxxxxxx"

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=expires_at expires_at string (date-time)

Authorization expiration time.

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=failure_code failure_code string or null

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=failure_message failure_message string or null

A human-readable description of why the transaction was declined. This will also include a suggestion on how to complete the payment.

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=identity identity string

Defaultnull

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=idempotency_id idempotency_id string or null

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=ip_address_details ip_address_details object

This field returns null for all users except ROLE_PLATFORM users.

+Show property

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=is_void is_void boolean

Whether the Authorization has been voided.

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=merchant merchant string

The ID of the Merchant resource the Authorization was created under.

Example:"MUxxxxxxxxxxxxxxxxxxxxxx"

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=merchant_identity merchant_identity string

The ID of the Identity resource used by the Merchant the Authorization was processed under.

Example:"IDxxxxxxxxxxxxxxxxxxxxxx"

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=messages messages Array of strings or null

Message field that provides additional details. This field is typically null.

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=network_details network_details object or null

Contains network-specific fields used by issuers to identify transactions.

+Show 2 properties

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=raw raw (object or null) or (string or null)

Raw response from the processor.

Any of:

RawRaw

Raw response from the processor.

object or null

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=receipt_last_printed_at receipt_last_printed_at string or null (date-time)

Timestamp when the receipt was last printed.

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=security_code_verification security_code_verification string or null

Details the results of the Security Code Verification che

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=source source string

ID of the Payment Instrument where funds get debited.

Example:"PIxxxxxxxxxxxxxxxxxx"

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=state state string

The state of the Authorization.

Enum"CANCELED""PENDING""FAILED""SUCCEEDED""UNKNOWN"

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=supplemental_fee supplemental_fee integer or null (int64)

Amount in cents for which an additional fee will be created in addition to any fees created from the assigned fee profile.

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=tags tags object or null

Include up to 50 key: value pairs to annotate requests with custom metadata.

+Show property

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=trace_id trace_id string

Trace ID of the Authorization. The processor sends back the trace_id so you can track the authorization end-to-end.

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=transfer transfer string or null

The ID of the transfer resource that gets created when the Authorization moves to SUCCEEDED.

Example:"TRxxxxxxxxxxxxxxxxxx"

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=void_state void_state string

The state of the void attempt for the Authorization.

Enum"UNATTEMPTED""PENDING""SUCCEEDED"

link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=_links_links object

+Show 5 properties

Response

  1. 200
  2. 400
  3. 401
  4. 403
  5. 404
  6. 406
  7. 422

application/json

{
  "id": "AUh4LG8REtmRBCxaSp85PMkr",
  "created_at": "2024-12-04T10:49:28.93Z",
  "updated_at": "2024-12-04T10:49:51.38Z",
  "3ds_redirect_url": null,
  "additional_buyer_charges": null,
  "additional_healthcare_data": null,
  "additional_purchase_data": null,
  "address_verification": "POSTAL_CODE_AND_STREET_MATCH",
  "amount": 100,
  "amount_requested": 100,
  "application": "APc9vhYcPsRuTSpKD9KpMtPe",
  "currency": "USD",
  "expires_at": "2024-12-11T10:49:28.93Z",
  "failure_code": null,
  "failure_message": null,
  "idempotency_id": null,
  "is_void": false,
  "merchant": "MU7noQ1wdgdAeAfymw2rfBMq",
  "merchant_identity": "IDjvxGeXBLKH1V9YnWm1CS4n",
  "messages": [],
  "raw": null,
  "receipt_last_printed_at": null,
  "security_code_verification": "MATCHED",
  "source": "PIkxmtueemLD6dN9ZoWGHT44",
  "state": "SUCCEEDED",
  "tags": {
    "order_number": "21DFASJSAKAS"
  },
  "network_details": {
    "brand": "VISA",
    "authorization_code": 82533
  },
  "trace_id": "f9d829f3-6d84-41f1-a662-38ca99206af2",
  "transfer": "TRhzVLqF1TKjtMZsMJwA7P9j",
  "void_state": "PENDING",
  "_links": {
    "self": { … },
    "application": { … },
    "transfer": { … },
    "merchant_identity": { … }
  }
}

Was this helpful?

link to Compliance Forms Compliance Forms

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

To process payments, your Merchants must validate their compliance with PCI DSS requirements annually. To do this, your Merchants must attest to PCI Self-Assessment Questionnaire (SAQ) compliance forms.

Related Guides:

Operations

get

/compliance_forms/{compliance_form_id}

put

/compliance_forms/{compliance_form_id}

get

/compliance_forms

+ Show

link to Devices Devices

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Device resource represents a Point-of-Sale terminal. Devices are used for In-Person transactions.

Related Guides:

Operations

get

/devices

get

/devices/{device_id}

put

/devices/{device_id}

get

/devices/{device_id_connection}

get

/devices/{device_id}/device_metrics

post

/merchants/{merchant_id}/devices

+ Show

link to Disputes Disputes

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

Disputes, also known as chargebacks, are customer-disputed charges. A core part of the dispute lifecycle is the ability for a Merchant to upload evidence supporting their side.

Related Guides:

Operations

get

/disputes

get

/disputes/{dispute_id}

put

/disputes/{dispute_id}

post

/disputes/{dispute_id}/evidence

get

/disputes/{dispute_id}/evidence

get

/disputes/{dispute_id}/evidence/{evidence_id}

put

/disputes/{dispute_id}/evidence/{evidence_id}

delete

/disputes/{dispute_id}/evidence/{evidence_id}

Show4more...

+ Show

link to Fees Fees

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Fee is a charge levied against a Merchant. It represents how a platform charges its sellers for all various types of Fees.

Operations

get

/fees

post

/fees

get

/fees/{fee_id}

put

/fees/{fee_id}

+ Show

link to Fee Profiles Fee Profiles

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A fee_profiles represents a pricing scheme that automatically applies fees to each transaction. Changes to fee_profiles go into effect immediately.

Related Guides:

Operations

post

/fee_profiles

get

/fee_profiles

get

/fee_profiles/{fee_profile_id}

+ Show

link to Files Files

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

Use Finix's File API to upload and manage files for your merchants.

Related Guides:

Operations

post

/files

get

/files

get

/files/{file_id}

get

/files/{file_id}/external_links

post

/files/{file_id}/external_links

post

/files/{file_id}/upload

get

/files/{file_id}/download

get

/files/{file_id}/external_links/{external_link_id}

+ Show

link to Identities Identities

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

An Identity resource represents either a person or business in Finix. You'll create an Identity to onboard your sellers, and verify the different owners.

Related Guides:

Operations

post

/identities

get

/identities

get

/identities/{identity_id}

put

/identities/{identity_id}

post

/identities/{identity_id}/associated_identities

get

/identities/{identity_id}/associated_identities

get

/identities/{identity_id}/merchants

+ Show

link to Merchants Merchants

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Merchant resource represents the entity's merchant account on a processor. Your Merchant must be APPROVED to process payments.

Related Guides:

Operations

post

/identities/{identity_id}/merchants

get

/merchants

get

/merchants/{merchant_id}

put

/merchants/{merchant_id}

post

/merchants/{merchant_id}/verifications

+ Show

link to Onboarding Forms Onboarding Forms

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

Finix offers and hosts pre-built onboarding forms that you can use to collect onboarding and identity verification information from your users.

Related Guides:

Operations

post

/onboarding_forms

get

/onboarding_forms/{onboarding_form_id}

post

/onboarding_forms/{onboarding_form_id}/links

+ Show

link to Payment Instruments Payment Instruments

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Payment Instrument resource represents the payment details of a credit card or bank account. Payment details get tokenized multiple times and each tokenization produces a unique Payment Instrument.

A Payment Instrument is associated with a single Identity. Once a Payment Instrument is created, the Identity it's associated with can't be changed.

Including an address when creating a Payment Instrument can lower interchange on credit card transactions.

Related Guides:

Operations

post

/payment_instruments

get

/payment_instruments

get

/payment_instruments/{payment_instrument_id}

put

/payment_instruments/{payment_instrument_id}

get

/payment_instruments/{payment_instrument_id}/instrument_history

put

/payment_instruments/{payment_instrument_id_verify}

post

/payment_instruments/{payment_instrument_id_verify}/verifications

post

/apple_pay_sessions

+ Show

link to Payment Instrument Associations Payment Instrument Associations

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

In Finix, Payment Instruments are tied to the owner of that account. For example, Payment Instruments tied to buyer will be the cards used for purchases while Payment Instruments tied to a Merchant are the bank accounts where they receive settlements.

Therefore when billing events occur that are tied to a buyer's Payment Instrument (e.g. enrolling in account updater, using Plaid for tokenization, etc) Finix cannot automatically map those fees to a specific Merchant. By default, these costs are instead charged to your Application (e.g. the Platform, Marketplace, Vertical Saas owner's account) and will be deducted from your residual. If you wish to monetize these offerings or pass the fees on to your Merchant you must explicitly link the buyers Payment Instrument to a Merchant resource using the Payment Instrument Association

Operations

post

/payment_instrument_associations

get

/payment_instrument_associations

get

/payment_instrument_associations/{payment_instrument_association_id}

put

/payment_instrument_associations/{payment_instrument_association_id}

+ Show

link to Settlements Settlements

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Settlement represents a collection (i.e. batch) of Settlement Entries that will get paid out to a specific Merchant. A Settlement Entry can represent a Transfer, custom Fee, or Split Transfer.

Related Guides:

Operations

get

/settlements

get

/settlements/{settlement_id}

put

/settlements/{settlement_id}

get

/settlements/{settlement_id}/entries

delete

/settlements/{settlement_id}/entries

get

/settlements/{settlement_id}/fees

get

/settlements/{settlement_id}/funding_transfers

delete

/settlements/{settlement_id}/transfers

Show3more...

+ Show

link to Settlement Queue Entries Settlement Queue Entries

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Settlement Queue Entry resource represents an entry in the settlement queue used to track when and how a transfer is queued to be processed.

If a merchant's settlement_queue_mode is set to MANUAL, all transfers will have a Settlement Queue Entry created and will not be placed into settlement until the Settlement Queue Entry is explicitly released.

Related Guides:

Operations

get

/settlement_queue_entries

put

/settlement_queue_entries

get

/settlement_queue_entries/{settlement_queue_entry_id}

+ Show

link to Split Transfers Split Transfers

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

Transactions can be split among different merchants. A Split Transfer shows how funds from a split Transfer were distributed into a merchant's Settlement.

Related Guides:

Operations

get

/fees

get

/split_transfers

get

/split_transfers/{split_transfer_id}

+ Show

link to Transfers Transfers

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Transfer represents any flow of funds either to or from a Payment Instrument. All payments in Finix are represented by a Transfer.

Related Guides:

Operations

post

/transfers

get

/transfers

get

/transfers/{transfer_id}

put

/transfers/{transfer_id}

post

/transfers/{transfer_id}/reversals

get

/transfers/{transfer_id}/reversals

+ Show

link to Users Users

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A User resource represents a pair of API keys which are used to perform authenticated requests against the Finix API. When making authenticated requests via HTTP basic access authentication the ID of a User resource maps to the username, while the password corresponds to the password (i.e. secret key).

The password field for a User resource is only returned during the initial creation. Any following GET requests to the resource returns the password field as null for security purposes.

Related Guides:

Operations

get

/users

get

/users/{user_id}

put

/users/{user_id}

+ Show

link to Verifications Verifications

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

Verifications are used to verify Merchants and Payment Instruments.

For Merchants, a verification represents an attempt to onboard and underwrite a Merchant.

For Payment Instruments, a verification represents getting additional information from the card brands to verify a card is eligible for push to card.

Related Guides:

Operations

get

/merchants/{merchant_id}/verifications

get

/verifications

get

/verifications/{verification_id}

+ Show

link to Webhooks Webhooks

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

Webhooks let you set up integrations that subscribe to automated notifications (events) on the Finix API. When an enabled event occurs, Finix sends an HTTP POST payload to the Webhook's configured URL.

Related Guides:

Operations

post

/webhooks

get

/webhooks

get

/webhooks/{webhook_id}

put

/webhooks/{webhook_id}

+ Show

link to Gateway Integrations Gateway Integrations

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Gateway Integration represents a connection to a third-party payment gateway. At this time, the only supported gateway is Cybersource.

Cybersource is a Visa-owned payment gateway that integrates with Finix to provide secure payment processing and fraud management. Finix handles merchant onboarding and payouts through a unified API, while Cybersource manages gateway routing and fraud prevention for global card acceptance.

Operations

post

/gateway_integrations

get

/gateway_integrations

get

/gateway_integrations/{gateway_integration_id}

+ Show

link to Receipts Receipts

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

The Receipt resource generates a receipt for Transfers or Authorizations. You can then send the Receipt via Email, SMS, or use the information from the Receipt to send it yourself.

Related Guides:

Operations

post

/receipts

get

/receipts/{receipt_id}

post

/receipts/{receipt_id}/delivery_attempts

get

/receipts/{receipt_id}/delivery_attempts

+ Show

link to Subscriptions Subscriptions

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Subscription resource represents a recurring charge to a Payment Instrument at regular intervals. Subscribers can be buyers, customers, or merchants.

Subscriptions are supported for USA and Canadian merchants.

When creating a Subscription, you have the option to use a Subscription Plan.

Limitations:

Related Guides:

Operations

post

/subscriptions

get

/subscriptions

get

/subscriptions/{subscription_id}

put

/subscriptions/{subscription_id}

delete

/subscriptions/{subscription_id}

post

/subscriptions/{subscription_id}/subscription_balance_entries

get

/subscriptions/{subscription_id}/subscription_balance_entries

put

/subscriptions/{subscription_id}/subscription_balance_entries/{subscription_balance_entry_id}

+ Show

link to Subscription Plans Subscription Plans

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Subscription Plan resource is a template with set recurring costs and frequencies that can be reused across multiple Subscription resources.

Related Guides:

Operations

post

/subscription_plans

get

/subscription_plans

get

/subscription_plans/{subscription_plan_id}

put

/subscription_plans/{subscription_plan_id}

+ Show

link to Transfer Attempts Transfer Attempts

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

When a user attempts to make a payment using a Checkout Form or Payment Link, or a recipient submitting details with a Payout Link—a Transfer Attempt is created.

Using transfer attempts, you can track the lifecycle of a payment or a series of payments if you are using a multi-use Payment Link.

Checkout Forms and Payment Links support authorizations. If a payment made with them is an authorization, the Transfer Attempt result shows is_authorization: true and references the authorization (authorization_id).

Each Transfer Attempt has as reference to a transfer_id to allow you to query it for additional data.

Related Guides:

Operations

get

/transfer_attempts

get

/transfer_attempts/{transfer_attempt_id}

+ Show

link to Balances Balances

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Balance resource represents the current financial state of an Application identified by the linked_to query parameter.

It tracks the state of funds processed through the system, including amounts that are:

Operations

get

/balances

get

/balances/{balance_id}

get

/balances/{balance_id}/balance_entries

get

/balance_entries/{balance_entry_id}

+ Show

link to Balance Adjustments Balance Adjustments

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Balance Adjustment modifies the account Balance by adding funds (a 'top-up') or reducing funds for Payouts. Each adjustment is linked to a specific payment rail (e.g., ACH, card, wire).

Related Guides:

Operations

post

/balance_adjustments

get

/balance_adjustments

+ Show

link to Disbursement Rules Disbursement Rules

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

For the Payouts product, when a payout is executed, such as a Push-To-Card or ACH transaction, Finix checks the transaction against velocity rules and balance rules.

Rules establish limits on transactions. For example, there may be a daily transaction limit of 100 transactions (count_limit) or a monthly volume limit of $100,000 (volume_limit). If a transaction exceeds any defined limit, the transaction is rejected.

Rules are set for entities involved in transactions, including the application, senders, and recipients.

The "Application" represents the customer to whom Finix is applying the rules. Application rules are set solely by Finix and are applied to every single transaction.

You can establish rules for "senders" and "recipients," referring to the parties involved in transactions:

Operations

get

/disbursement_rules

get

/disbursement_rules/current_usages

+ Show